#ifndef ANIMONE_ANIMONE_FD_PROC_H_
#define ANIMONE_ANIMONE_FD_PROC_H_

#include <set>
#include <string>

#include "animone/fd.h"
#include "animone/types.h"

namespace animone::internal::proc {

bool EnumerateOpenProcesses(process_proc_t process_proc);
bool EnumerateOpenFiles(const std::set<pid_t>& pids, open_file_proc_t open_file_proc);
bool GetProcessName(pid_t pid, std::string& result);

} // namespace animone::internal::proc

#endif // ANIMONE_ANIMONE_FD_PROC_H_
